Packages - Privacy Issue #2997

[traefik] Loading Google Analytics
2021-03-20 10:50 AM - blacklung

Status: fixed % Done:
Priority: bug

Assignee: bill-auger

Category:

Description

github dot com forward slash traefik forward slash traefik forward slash issues forward slash 7360

History

#1 - 2021-03-20 03:30 PM - blacklung
- File url.txt added

| was not able to submit the real URL due to forum account limitations, so I've attached it to this text file. It is concerning that the Traefik Ul is loading
Google Analytics, among its own trackers, which was not disclosed at all until a user discovered it.

#2 - 2021-03-20 05:18 PM - freemor

"Written in Go..." Well, theres your problem. Go Developers love to pull in any library they need from github.

This package is such an offender. Ti therefore can not be built with LibreTools (Tries to pull extra sources wheile building)

Since there are many reverse proxy solutions I'd vote to just blacklist this one.

/me goes to see what all it pulls in during a build

#3 - 2021-03-20 06:26 PM - freemor
- File Pulls.txt added

Yep this is a major offender. See attached Pulls.txt

| definitely vote blacklist now.

#4 - 2021-03-20 06:50 PM - bill-auger

no objections from me - its a shame that arch allows this

#5 - 2021-03-23 08:11 PM - bill-auger

- Assignee set to bill-auger

done

#6 - 2021-03-23 08:11 PM - bill-auger

- Status changed from unconfirmed to fixed

Files
url.txt 47 Bytes 2021-03-20 blacklung
Pulls.txt 13 KB 2021-03-20 freemor
